/// <reference types="react" />
import { D3Chart } from '../../charts';
import Area from './Area';
import BackGround from './BackGround';
import Bars from './Bars';
import Lines from './Lines';
import Colors from './Colors';
import Points from './Points';
import { MapOpts } from './interface';
/**
 * 目前支持度：
 * resize：支持
 * update: 支持
 * tip提示: 支持
 * click交互: 支持
 *
 * 其它说明：
 * 基于D3JS的地图，引入前主确认已经引用了 d3.js
*/
export default class extends D3Chart<MapOpts> {
    RotateX: number;
    THEIGHT: number;
    PHEIGHT: number;
    ADJUST: number[];
    AreaGroup: any;
    BkgGroup: any;
    BarGroup: any;
    WIDTH: any;
    HEIGHT: any;
    Builder: any;
    Projection: any;
    areas: Area;
    bkgs: BackGround;
    bars: Bars;
    colors: Colors;
    lines: Lines;
    points: Points;
    constructor(props: any);
    _needResize(): boolean;
    resize(): void;
    buildMap(): void;
    build(): void;
    rotate: (d: any) => void;
    /**
     * 是否需要update,这里重写每个方法
    */
    _needUpdate(): boolean;
    update(): void;
    render(): JSX.Element;
}
